paraview (6.1.1+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * upload paraview 6.1 to unstable (vtk 9.6 transition #1141369)

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Jul 2026 17:09:41 +0200

paraview (6.1.1+dfsg1-1exp3) experimental; urgency=medium

  * Team upload.
  * replace debian patch vtkIdType_32bit_cast.patch
    with upstream MR!7848

 -- Drew Parsons <dparsons@debian.org>  Sat, 27 Jun 2026 14:56:26 +0200

paraview (6.1.1+dfsg1-1exp2) experimental; urgency=medium

  * Team upload.
  * debian patch vtkIdType_32bit_cast.patch casts index datatypes
    (64-bit or unsigned char) to vtkIdType to enable build on
    32-bit systems, following changes in MR!7290 and MR!7648
    (upstream Work item #23313). Closes: #1140610

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Jun 2026 18:51:56 +0200

paraview (6.1.1+dfsg1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - update versioned Build-Depends: libvtk9-qt-dev (>= 9.6.1~)
    - applies debian patches fix-ftbfs-qt6.10-cast-qttesting-MR90.patch
      and fix-ftbfs-qt6.10-cast-MR7598.patch
  * debian/README.source: give more detail on manually removing
    excluded submodules (VTK) to enable build with external VTK
  * drop all SQL Build-Dependencies. These were required to build SQL
    support in VTK, not needed directly by paraview. Closes: #1137787
  * drop redundant lintian tag library-not-linked-against-libc
    from paraview.lintian-overrides
  * drop paraview-dev Depends: qttools5-dev-tools (now uses Qt6)

 -- Drew Parsons <dparsons@debian.org>  Mon, 22 Jun 2026 21:28:04 +0200

paraview (6.0.1+dfsg1-8) unstable; urgency=medium

  * Team upload.
  * paraview-dev Conflicts: python3-paraview (<< 6.0.1+dfsg1-1~),
    and Replaces. /usr/lib/*/vtk (/hierarchy/ParaView) was previously
    provided by python3-paraview 5.13. Closes: #1133252
  * Standards-Version: 4.7.4

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Apr 2026 17:12:06 +0200

paraview (6.0.1+dfsg1-7) unstable; urgency=medium

  * Team upload.

  [ Valentin Haudiquet ]
  * debian patch fix-ftbfs-qt6.10-cast-MR7598.patch fixes FTBFS on Qt
    6.10 by backporting upstream MR#7598

  [ Drew Parsons ]
  * debian patch fix-ftbfs-qt6.10-cast-qttesting-MR90.patch fixes
    FTBFS with Qt 6.10 by applying upstream thirdparty qttesting MR#90
  * use help2man to generate man page for paraview-config.1 (paraview-dev)

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Mar 2026 18:29:15 +0100

paraview (6.0.1+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * skip paraview-batch tests on s390x, for the same reason as skipping
    paraviewtest.py, Bug#1071518

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Jan 2026 02:02:20 +0100

paraview (6.0.1+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * add Restrictions: allow-stderr to paraview-batch, since the tests
    emit progress INFO to stderr

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Jan 2026 12:29:01 +0100

paraview (6.0.1+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * python3-paraview Depends: python3-vtk9
  * debian/tests/paraview-batch run explicit MPI test with mpirun -n 4
    MCA env variables are intended to avoid warnings (e.g. oversubscribe)
  * configure to enable headless batch processing with -DVTK_OPENGL_HAS_EGL=YES
    and use headless tests in debian/tests/paraview-batch with
    VTK_DEFAULT_OPENGL_WINDOW=vtkEGLRenderWindow

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Jan 2026 05:27:33 +0100

paraview (6.0.1+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * add debian/tests/paraview-batch to run paraview's own tests
    "pvbatch -m paraview.tests". Use pvbatch for offscreen batch mode,
    equivalent to pvpython --force-offscreen-rendering.
    Test with (default --mpi) and without MPI (--no-mpi).
  * drop debian patch fix_path_paraview.patch,
    it ought not to be needed
  * update debian/watch to Version 5 format

 -- Drew Parsons <dparsons@debian.org>  Thu, 29 Jan 2026 19:21:41 +0100

paraview (6.0.1+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * set PARAVIEW_ENABLE_XDMF3=ON on 64-bit arches only, since VTK's
    xdmf3 fails to build on 32-bit architectures (see Bug#1126484)
    Drop mips64el handling (no longer supported)
  * set PARAVIEW_USE_VISKORES=OFF on 32-bit architectures since
    VTK::vtkviskores exhausts virtual memory on 32-bit systems

 -- Drew Parsons <dparsons@debian.org>  Thu, 29 Jan 2026 00:16:06 +0100

paraview (6.0.1+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - now supports external VTK library. Closes: #654839.
      Build with PARAVIEW_USE_EXTERNAL_VTK=ON
      and drop VTK_MODULE_USE_EXTERNAL_VTK* config options.
      Versioned Build-Depends: libvtk9-qt-dev (>= 9.5.2+dfsg3~)
      (also depends on libvtk9-dev, qt6-base-dev)
      Drop python3-paraview Conflicts: python3-vtk9. Closes: #982601
      Add Files-Excluded: VTK to debian/copyright
    - deprecates or applies debian patches GmshIO_signed_char.patch
      and fix_ldflags.patch
    - supports cmake 4. Closes: #1113390
    - runs cleanly on wayland. Closes: #924196
    - supports Python calculator (when python3-paraview is installed)
      Closes: #959677
  * Build-Depends: xsltproc (used by ParaViewClient.cmake)
  * drop Build-Depends: libadios2-mpi-c++11-dev. Adios2 support to be
    provided by external VTK library (PARAVIEW_ENABLE_ADIOS2=ON)
  * drop debian patches for VTK code
      vtk-cmake-findffmpeg-cmake.patch
      fix.patch
      ffmpeg.patch
      xdmf3_32bit.patch
      python3.13_missing_dict_MR11486.diff
      python_iostream_encoding_MR11494.diff
  * configure PARAVIEW_ENABLE_WEB=OFF (don't support paraview in web
    browser) for simpler building
  * generate +dfsg1 upstream source tarball with submodules but
    manually removing VTK subdir (see debian/README.source)
  * update installed files
    - install lib*.so library files in paraview-dev not paraview
    - no longer installs usr/share/vtk-pv*/proj/*
      or python scripts {fv,se}_coprocess.py
    - install usr/share/doc/ParaView/paraview.qch (Qt help file)
      and usr/lib/*/vtk/hierarchy/ParaView
      with the paraview-dev package
  * rebuild fixes Python Script Editor. Closes: #1124759
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Tue, 27 Jan 2026 21:02:50 +0100

paraview (5.13.2+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc-15. (Closes: #1114253)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 14 Nov 2025 10:56:53 +0000

paraview (5.13.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * run dh_python3 with -V set to a range covering the default python
    version only, to get a versioned dependency on python3
    to facilitate future upgrades of the default python version
    (binNMU in auto-upperlimit-python3 transitions)
    Thanks Adrian Bunk and Colin Watson. Closes: #1093278.
  * drop --no-ext-rename option from dh_python3 override. Python
    extensions should be renamed as usual. The problem supporting
    non-default Python versions is in the libvtk.so libraries they
    link to, not the Python extensions themselves.

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 Jan 2025 15:51:50 +0100

paraview (5.13.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - applies debian patch fix_PluginLoader_defines.patch
  * support the default version of python only
    since many libvtk*.so files link to the specific python version
  * new debian patches
    - python3.13_missing_dict_MR11486.diff applies upstream
      MR#11486 to fix segfault with python3.13
    - python_iostream_encoding_MR11494.diff applies upstream MR#11494
      to improve handling of stream encoding

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Jan 2025 23:34:17 +0100

paraview (5.13.1+dfsg-11) unstable; urgency=medium

  * Team upload.
  * replace debian patch plugin_conf_path_no_autoload.patch with patch
    from upstream MR#7152.
    Incorporates unloaded_dir_in_plugin_conf.patch.

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Jan 2025 19:48:49 +0100

paraview (5.13.1+dfsg-10) unstable; urgency=medium

  * Team upload.
  * paraview Depends: ${Qtsvg:Depends}, defined in debian/rules to
    provide depenency on the Qt Svg component library (libqt6svg6).
    The Qt Svg library dependency is not detected automatically
    but is needed for labels and icons in the paraview GUI.
    Closes: #1031234

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Dec 2024 08:45:10 +0200

paraview (5.13.1+dfsg-9) unstable; urgency=medium

  * Team upload.
  * debian patch fix_ldflags.patch applies workaround to fix flaw in
    LDFLAGS handling exposed by cmake 3.31. Thanks Brad King from
    Kitware for the patch and analysis of the bug. Closes: #1087764.

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Nov 2024 12:27:26 +0100

paraview (5.13.1+dfsg-8) unstable; urgency=medium

  * Team upload.
  * add debian patch unloaded_dir_in_plugin_conf.patch.
    Currently paraview.conf can only specify plugin XML files (which
    provide autoload control). Plugin directories can only be added
    via PV_PLUGIN_PATH (or PARAVIEW_PLUGIN_LOADER_PATHS), but this
    mechanism autoloads plugins. This patch enables extra plugin dirs
    to be provided in paraview.conf, without autoloading the plugins
    they contain.
  * add debian patch plugin_conf_path_no_autoload.patch.
    Provide PARAVIEW_PLUGIN_CONF_EXTRA_PATHS cmake variable.
    Defines extra paths which are listed in the plugin configuration
    file, without autoloading found plugins.
    This is analogous to the PARAVIEW_PLUGIN_LOADER_PATHS variable
    (which autoloads found plugins in the Plugin Manager).
  * set PARAVIEW_PLUGIN_CONF_EXTRA_PATHS not
    PARAVIEW_PLUGIN_LOADER_PATHS in debian/rules configuration to
    make third-party plugins in /usr/share/paraview/plugins available
    without autoloading.

 -- Drew Parsons <dparsons@debian.org>  Thu, 31 Oct 2024 11:19:07 +0100

paraview (5.13.1+dfsg-7) unstable; urgency=medium

  * Team upload.
  * fix debian patch conffile_libdir.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 25 Oct 2024 20:14:45 +0200

paraview (5.13.1+dfsg-6) unstable; urgency=medium

  * Team upload.
  * update debian patch conffile_libdir.patch to stringize
    preprocessor define PARAVIEW_LIBDIR to set as LibDir, see
    https://gcc.gnu.org/onlinedocs/cpp/Stringizing.html

 -- Drew Parsons <dparsons@debian.org>  Fri, 25 Oct 2024 18:16:29 +0200

paraview (5.13.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * fix debian patch plugin_dir_not_bin.patch to only add
    $appDir/plugins (i.e. /usr/bin/plugins) if that plugin dir exists.
  * update debian patch conffile_libdir.patch to define boolean option
    PARAVIEW_CONF_IN_LIBDIR (not PARAVIEW_LIB_SUBDIR) to determine
    whether or not to place the conf file in the libdir. Default OFF
    for current upstream behaviour, debian sets
    PARAVIEW_CONF_IN_LIBDIR=ON. Set (with version) early in
    CMakeFiles.txt before adding Remoting.

 -- Drew Parsons <dparsons@debian.org>  Fri, 25 Oct 2024 15:20:47 +0200

paraview (5.13.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * drop in-app docs (paraview.qch) from paraview-doc, since they
    cannot be generated by Qt6, see Clients/ParaView/CMakeLists.txt and
    https://gitlab.kitware.com/paraview/paraview/-/issues/19742
    Install README.md and Documentation/release so paraview-doc at
    least contains something. Demote dependency to
    paraview Suggests: paraview-doc not Recommends.
  * debian patch conffile_libdir.patch defines option
    PARAVIEW_LIB_SUBDIR as the paraview library subdir in which plugins
    are installed and installs the plugin conffile there instead of
    the executable dir /usr/bin. Enables plugins to be found by the
    Plugin Manager. Previously we were blocking the conffile from
    installation in /usr/bin so plugins were not found.
    See troubleshooting in upstream Issue#22642.
  * debian patch fix_PluginLoader_defines.patch fixes Remoting/Core
    CMakeFiles.txt to use set_property to append defines for
    vtkPVPluginLoader.cxx, otherwise its existing BUILD_SHARED_LIBS
    value is wiped by set_source_files_properties.

 -- Drew Parsons <dparsons@debian.org>  Thu, 24 Oct 2024 12:16:21 +0200

paraview (5.13.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Build-Depends: qt6-5compat-dev

 -- Drew Parsons <dparsons@debian.org>  Tue, 22 Oct 2024 10:24:53 +0200

paraview (5.13.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * configure PARAVIEW_PLUGIN_LOADER_PATHS to show
    /usr/share/paraview/plugins (for arch/version-independent plugins)
    and /usr/lib/*/paraview-*/plugins/ in the Plugin Manager.
    Not clear why the latter do not already appear, see
    https://gitlab.kitware.com/paraview/paraview/-/issues/22642
  * debian patch plugin_dir_not_bin.patch only adds $appDir/plugins
    to the plugin search path if it exists. It should not exist
    (appDir is the executable dir, /usr/bin). Closes: #952390.
  * build with Qt6.
    Build-Depends: qt6-base-dev, qt6-svg-dev, qt6-tools-dev,
    qt6-tools-dev-tools, qt6-tools-private-dev, libqt6sql6-sqlite

 -- Drew Parsons <dparsons@debian.org>  Tue, 22 Oct 2024 04:46:56 +0200

paraview (5.13.1+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - applies debian patch logparser_regex_esc-MR7002.patch

 -- Drew Parsons <dparsons@debian.org>  Sat, 19 Oct 2024 20:17:46 +0200

paraview (5.13.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch syntax_warnings_MR6932.patch
  * versioned Build-Depends: libadios2-mpi-c++11-dev (>= 2.10~)
  * install all vtk utilities usr/bin/vtk*-pv* in paraview package.
    Don't install usr/bin/vtkWrapClientServer* in paraview-dev.
    paraview Breaks/Replaces: paraview-dev (<< 5.13~)
  * drop unused debian patches
    py3.patch vtk-fix.patch reproducible.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 18 Oct 2024 20:40:21 +0200

paraview (5.12.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * debian patch xdmf3_32bit.patch enables XDMF3 support on 32-bit
    systems. See https://stackoverflow.com/a/1505839/12401525
    Keep xdmf3 support deactivated on mips64el.
    Closes: #1071700.
  * add debian patches to avoid syntax warnings. Closes: #1072959.
    - logparser_regex_esc-MR7002.patch applies upstream MR#7002 to fix
      regex escape codes
    - syntax_warnings_MR6932.patch applies upstream MR#6932 to fix
      regex in smtrace.py
    - syntax_warnings.patch applies raw r prefix to other stray regexes
      and uses '==' not 'is' to test string equality

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Oct 2024 17:13:39 +0200

paraview (5.12.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Build-Depends: libhdf5-mpi-dev
    Don't hardcode MPI implementation for HDF5, use the default.
    (OpenMPI no longer supports 32-bit architectures)

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Sep 2024 14:39:48 +0200

paraview (5.12.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * follow the example of vtk9 (MR#1) and link -latomic on armel
    and other (32-bit) arches that need it. Closes: #1072939.
  * skip xdmf3 support on mips64el
    (gives "relocation truncated" errors)

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Jun 2024 11:56:07 +0200

paraview (5.12.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * skip xdmf3 support on i386 (and other 32-bit arches), which fail
    due to changes in int handling. See Bug#1071700.

 -- Drew Parsons <dparsons@debian.org>  Mon, 10 Jun 2024 14:37:16 +0200

paraview (5.12.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch VTK_XML_append_with_newer_expat.patch

 -- Drew Parsons <dparsons@debian.org>  Sun, 09 Jun 2024 22:38:22 +0200

paraview (5.12.0+dfsg-4) experimental; urgency=medium

  * Team upload.
  * provide all installed paraview cmake files in paraview-dev

 -- Drew Parsons <dparsons@debian.org>  Thu, 23 May 2024 01:03:36 +0200

paraview (5.12.0+dfsg-3) experimental; urgency=medium

  * Team upload.
  * don't hardcode version in debian install scripts

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 May 2024 22:03:23 +0200

paraview (5.12.0+dfsg-2) experimental; urgency=medium

  * Team upload.
  * explicitly switch off cmake BUILD_TESTING. No build tests were
    found in previous versions, and the new single Cxx test set from
    plugins/DigitalSignalProcessing (Plugins/DSP) fails.

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 May 2024 18:52:50 +0200

paraview (5.12.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - applies debian patches adios2_v2.9_*.diff
      g++13.patch, vector-header.patch
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 May 2024 23:59:00 +0200

paraview (5.11.2+dfsg-8) unstable; urgency=medium

  * Team upload.
  * debian/tests: stop running tests on s390x (see Bug#1071518)

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 May 2024 01:48:57 +0200

paraview (5.11.2+dfsg-7) unstable; urgency=medium

  * Team upload.
  * debian patch VTK_XML_append_with_newer_expat.patch applies
    upstream patch (vtk9 09_newer_expat.patch) to re-enable handling
    of appended data. See Bug#1064762. Closes: #1065270.

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 May 2024 21:30:46 +0200

paraview (5.11.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * drop Depends: python3-autobahn, python3-six, python3-twisted
    also from the paraview binary package.

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Jan 2024 16:09:30 +0100

paraview (5.11.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * drop Build-Depends: python3-autobahn, python3-twisted.
    Use of autobahn/twisted was dropped upstream in MR1630 (v5.4.0)
    in favour of wslink. Note Debian does not provide wslink, so no
    webserver communication via paraview.
  * drop deprecated Build-Depends: python3-six.
  * paraview-dev Depends: libgdal-dev. Closes: #754968.
    Needed by cmake config files for find_package(ParaView).

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Jan 2024 13:14:15 +0100

paraview (5.11.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * debian patch GmshIO_signed_char.patch sets GmshPrimitive as
    signed char to enable a negative value (-1) to represent
    unsupported cell types, since char is unsigned on many
    architectures (arm64 etc). See upstream issue #22413.

 -- Drew Parsons <dparsons@debian.org>  Thu, 07 Dec 2023 12:04:48 +0100

paraview (5.11.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * add wildcards to lintian override for json-evil to work around a
    broken ftp-master configuration, which does not respect the current
    lintian syntax
  * debian/copyright: distinguish main paraview BSD-3-clause licence
    (naming Kitware) from VTK BSD-3-clause licence (naming Ken Martin,
    Will Schroeder, Bill Lorensen)

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Dec 2023 16:05:58 +0100

paraview (5.11.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * add lintian override for license-problem-json-evil. The
    problematic source with the JSON licence would be
    bin/jsonchecker/, but it has already been removed from vtkfides
    source.
  * lintian fixes
    - add real alternative in Build-Depends: gnuplot-qt | gnuplot
    - fix vtkexpat Copyright entry in debian/copyright and update
      other entries

 -- Drew Parsons <dparsons@debian.org>  Mon, 04 Dec 2023 22:54:48 +0100

paraview (5.11.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - upstream source tarball prepared manually to include submodules
      (copy of VTK source). See debian/README.source
  * Add support for Adios2 (PARAVIEW_ENABLE_ADIOS2=ON)
    - 64-bit architectures only
    - Build-Depends: libadios2-mpi-c++11-dev
    - point the cmake search path at the mpi variant of Adios2
    - add debian/patches/adios2_v2.9_*.diff applying patches from
      upstream VTK git repo enabling build with adios2 v2.9
  * Enable GmshIO plugin for reading gmsh files. Closes: #1054159.
    - Build-Depends: libgmsh-dev

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Dec 2023 23:45:45 +0100

paraview (5.11.0+dfsg-2) unstable; urgency=medium

  * Drop build-dep on libnetcdf-cxx-legacy-dev: Closes: #1037814
  * g++-13.patch:  FTBFS with g++ 13. Closes: #	1038602
  * Srandards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Aug 2023 16:11:56 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog paraview-doc`.
